format_version: '1.0'


repository_url: https://github.com/fwupd/fwupd
issue_url: https://github.com/fwupd/fwupd/issues/730


input_files:
  base_version:
    input_file: 'a-base.zip'
    commit_sha1: c759834
  fix_attempt:
    - input_file: 'b-partial-1.diff'
      commit_sha1: b4f33a239bac19af4b2c9da0a54d5a99e59ca0a0
    - input_file: 'b-partial-2.diff'
      commit_sha1: 43b1578aa6adc28b137264b91e5c5449741e493e
    - input_file: 'b-partial-3.diff'
      commit_sha1: 2744692319ab153bf95803295bc3f503c8d1c368
    - input_file: 'b-partial-4.diff'
      commit_sha1: a3ae22298a11f91f07df0b677de94ada5cda0606
    - input_file: 'b-partial-5.diff'
      commit_sha1: e8b8af3d0ff4e9cef5813989a2e2b02060381ae8
    - input_file: 'b-partial-6.diff'
      commit_sha1: 52f92158b714491eebd2e013c8603a6e220c4349
    - input_file: 'b-partial-7.diff'
      commit_sha1: ba5745d7db067d7c17bb061b15b6fcc191b144d3

        
expected_fix:
  input_file: 'c-expected-fix.diff'
  commit_sha1: 845896c95418bfadfa7ed910676530a4afa72efc

options:
  language: C
